Can't install 0.3 from source.

Issue #9 resolved
Andrew Blakey
created an issue

I'm having one heck of a time trying to get Monary 0.3 to work.

When trying to install from source, I get to the revised step described in this issue and during the 'sudo python setup.py build' step, I receive the error: mongodb-mongo-c-driver-1.0.0/src/libbson/src/bson/bson-compat.h:27:25: fatal error: bson-config.h: No such file or directory

I just don't know enough about compiling software in Linux to play around too much. It might be a trivial problem due to undocumented dependencies or whatnot.

Thanks!

Comments (2)

  1. Andrew Blakey reporter

    oh my. Had no idea running that with sudo could cause problems. The solution is to install without using sudo. However I did have to use 'sudo python setup.py install' as I otherwise had no permissions to install to dist-packages

  2. Log in to comment